---
title: Auth Process
description: Process a previously authorized transaction by capturing or releasing the hold.
---

Processes a previously authorized transaction by either capturing the specified amount or releasing the hold.

**Capture Process** - Captures the specified amount from a previously authorized transaction.

**Release Process** - Releases the hold on a previously authorized transaction.

#### POST

```
https://kraken.airpay.co.in/airpay/pay/v4/api/auth-capture
```

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| ap_transactionid  required | int | Transaction ID | `360288334` |
| action  required | string | Allowed values: "capture" or "release" | `capture` |
| amount  optional | double | Required only for partial capture. Omit for full capture or release | `50.00` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Number | status code(200,400) | `200` |
| ap_transactionid  required | String | Transaction ID | `360288334` |
| amount  optional | Double | Present only in capture responses | `50.00` |
| authorized_amount  required | String | Total amount authorized | `100.00` |

## Full Amount Capture Request

```json
{
  "ap_transactionid": "360288334",
  "action": "capture"
  }
```

## Partial Amount Capture Request

```json
{
  "ap_transactionid": "360288335",
  "action": "capture",
  "amount": "50.00"
  }
```

## Release Request

```json
{
  "ap_transactionid": "360288332",
  "action": "release"
  }
```

### Full Amount Capture Response

```json
{
    "status_code": 200,
    "response_code": "00",
    "status": "success",
    "message": "success",
    "data": {
        "status": 200,
        "ap_transactionid": "360288334",
        "amount": "100.00",
        "authorized_amount": "100.00"
    }
}
```

### Partial Amount Capture Response

```json
{
    "status_code": 200,
    "response_code": "00",
    "status": "success",
    "message": "success",
    "data": {
        "status": 200,
        "ap_transactionid": "360288335",
        "amount": "50.00",
        "authorized_amount": "100.00"
    }
}
```

### Release Process Response

```json
{
    "status_code": 200,
    "response_code": "00",
    "status": "success",
    "message": "success",
    "data": {
        "status": 200,
        "ap_transactionid": "360288332",
        "authorized_amount": "10.00"
    }
}
```